#!/usr/bin/env python3

from flask import Flask
from routes.oleid import oleid_bp
from routes.olevba import olevba_bp
from config import Config

app = Flask(__name__)

# Apply config settings
app.config.from_object(Config)
# Register Blueprints (Modules)
app.register_blueprint(oleid_bp, url_prefix='/oleid')

app.register_blueprint(olevba_bp, url_prefix='/olevba')

if __name__ == '__main__':
    app.run(host=Config.HOST, port=Config.PORT, debug=Config.DEBUG)
